$ssvg-color: #ffb13b;

header#site-head {
  background: rgba($ssvg-color, 0.3) !important;

  img {
    width: 100%;
  }
}

#blog-logo {
  max-height: 60vh !important;
  height: 60vh;
}

.flex {
  display: flex;
  flex-wrap: wrap;
}

@media only screen and (max-width: 500px) {
  #blog-logo img {
    max-height: 60vh !important;
    height: 60vh;
  }
  .f-sm-1 {
    flex: 0 0 8.33333333%;
    max-width: 8.33333333%;
  }
  .f-sm-2 {
    flex: 0 0 16.66666667%;
    max-width: 16.66666667%;
  }
  .f-sm-3 {
    flex: 0 0 25%;
    max-width: 25%;
  }
  .f-sm-4 {
    flex: 0 0 33.33333333%;
    max-width: 33.33333333%;
  }
  .f-sm-5 {
    flex: 0 0 41.66666667%;
    max-width: 41.66666667%;
  }
  .f-sm-6 {
    flex: 0 0 50%;
    max-width: 50%;
  }
  .f-sm-7 {
    flex: 0 0 58.33333333%;
    max-width: 58.33333333%;
  }
  .f-sm-8 {
    flex: 0 0 66.66666667%;
    max-width: 66.66666667%;
  }
  .f-sm-9 {
    flex: 0 0 75%;
    max-width: 75%;
  }
  .f-sm-10 {
    flex: 0 0 83.33333333%;
    max-width: 83.33333333%;
  }
  .f-sm-11 {
    flex: 0 0 91.66666667%;
    max-width: 91.66666667%;
  }
  .f-sm-12 {
    flex: 0 0 100%;
    max-width: 100%;
  }
}
@media (min-width: 500px) {
  .f-1 {
    flex: 0 0 8.33333333%;
    max-width: 8.33333333%;
  }
  .f-2 {
    flex: 0 0 16.66666667%;
    max-width: 16.66666667%;
  }
  .f-3 {
    flex: 0 0 25%;
    max-width: 25%;
  }
  .f-4 {
    flex: 0 0 33.33333333%;
    max-width: 33.33333333%;
  }
  .f-5 {
    flex: 0 0 41.66666667%;
    max-width: 41.66666667%;
  }
  .f-6 {
    flex: 0 0 50%;
    max-width: 50%;
  }
  .f-7 {
    flex: 0 0 58.33333333%;
    max-width: 58.33333333%;
  }
  .f-8 {
    flex: 0 0 66.66666667%;
    max-width: 66.66666667%;
  }
  .f-9 {
    flex: 0 0 75%;
    max-width: 75%;
  }
  .f-10 {
    flex: 0 0 83.33333333%;
    max-width: 83.33333333%;
  }
  .f-11 {
    flex: 0 0 91.66666667%;
    max-width: 91.66666667%;
  }
  .f-12 {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

article.post {
  max-width: 70% !important;
  margin: 0 auto !important;
}

.clickable {
  cursor: pointer;
}

@keyframes open {
  0% {
    opacity: 0;
    margin-left: -20px;
  }

  100% {
    opacity: 1;
    margin-left: 0px;
  }
}

details[open] summary ~ * {
  animation: open 0.5s ease-in-out;
}

details > summary {
  transition: all ease 0.3s;
  -webkit-transition: all ease 0.3s;
  -moz-transition: all ease 0.3s;
  &:hover {
    color: var(--sticky-menu-text-color);
  }
}

pre.chroma {
  overflow: auto;
  margin-top: 1rem;
  margin-bottom: 1rem;
  span.line {
    line-height: 1.4em;
  }
}

i.fa {
  vertical-align: middle;
  display: inline-block;
}

.post-holder section.post-content {
  strong {
    // color: scale-color($ssvg-color, $lightness: +40%);
    font-size: 1.1em;
  }

  .fa.title {
    color: $ssvg-color;
    font-size: 1.5em;
    min-width: 1em;
    text-align: center;
    vertical-align: middle;
  }
}

.post-holder.dark section.post-content {
  .fa.title {
    color: scale-color($ssvg-color, $lightness: +40%);
  }
}

.post-holder.dark .card {
  border-width: 0;
}

.card {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  background-color: var(--section-light-bg-color);
  color: var(--section-light-text-color);
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0.5rem;

  position: relative;
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
  transition: box-shadow 0.25s;

  > a.card-link {
    position: absolute;
    height: 100%;
    width: 100%;
    z-index: 100;
  }

  > div {
    padding: 1rem;
    // border-top: 1px solid rgba(255, 255, 255, 0.15);
    border-bottom: 1px solid rgba(0, 0, 0, 0.175);

    &:last-of-type {
      border-bottom-left-radius: inherit;
      border-bottom-right-radius: inherit;
      border-bottom-width: 0;
    }
    &:first-of-type {
      border-top-left-radius: inherit;
      border-top-right-radius: inherit;
    }
  }

  > div.card-title {
    font-family: open sans, sans-serif;
    font-size: 1.2em;
    font-weight: 700;
    background-color: var(--highlight);
    color: var(--highlight-contrast);
    border-bottom-width: 1px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }

  &:hover {
    cursor: pointer;
    box-shadow: 0 1.125rem 1.25rem var(--highlight-inverse);
  }
}

.card-list {
  box-sizing: border-box;
}

.card-list > * {
  box-sizing: border-box;
  padding: 0.5rem;
}

input[type="radio"],
input[type="radio"] + label {
  cursor: pointer;
}

.w-100 {
  width: 100%;
}

.h-100 {
  height: 100%;
}
.flex-column {
  flex-direction: column;
}

.flex-grow {
  flex-grow: 1;
}

.align-items-center {
  align-items: center;
}
